VeritasStorageService (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.veritas.VeritasStorageService interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.veritas
Interface VeritasStorageService

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Service

    public interface VeritasStorageService

extends Service

Represents an instance of Veritas product on the system. It organizes the volumes as well as file systems. Additionally maintains the list of disks which are removed from VxVM control.

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`VeritasDiskGroup[]` | `getDiskGroups()`
`MediaAccessDevice[]` | `getExcludedDevices()`
`LocalFileSystem[]` | `getFilesystem()`
`VeritasPlex[]` | `getPlexes()`
`VeritasVolume[]` | `getVolumes()`
`boolean` | `hasDiskGroups()`
`boolean` | `hasExcludedDevices()`
`boolean` | `hasFilesystem()`
`boolean` | `hasPlexes()`
`boolean` | `hasVolumes()`
`void` | `setDiskGroups(VeritasDiskGroup[] x)`
`void` | `setExcludedDevices(MediaAccessDevice[] x)`
`void` | `setFilesystem(LocalFileSystem[] x)`
`void` | `setPlexes(VeritasPlex[] x)`
`void` | `setVolumes(VeritasVolume[] x)`

Methods inherited from interface com.collation.platform.model.topology.sys.Service
`getHost, getName, getPrimarySAP, getProductName, getProductVersion, getServiceAccessPoints, getSoftwareInstallation, getVendorName, hasHost, hasName, hasPrimarySAP, hasProductName, hasProductVersion, hasServiceAccessPoints, hasSoftwareInstallation, hasVendorName, setHost, setName, setPrimarySAP, setProductName, setProductVersion, setServiceAccessPoints, setSoftwareInstallation, setVendorName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getExcludedDevices

    MediaAccessDevice[] getExcludedDevices()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setExcludedDevices

    void setExcludedDevices(MediaAccessDevice[] x)

### hasExcludedDevices

    boolean hasExcludedDevices()

### getFilesystem

    LocalFileSystem[] getFilesystem()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Exposes" reverse="false"

### setFilesystem

    void setFilesystem(LocalFileSystem[] x)

### hasFilesystem

    boolean hasFilesystem()

### getPlexes

    VeritasPlex[] getPlexes()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.UsedBy" reverse="true"

### setPlexes

    void setPlexes(VeritasPlex[] x)

### hasPlexes

    boolean hasPlexes()

### getVolumes

    VeritasVolume[] getVolumes()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Exposes" reverse="false"

### setVolumes

    void setVolumes(VeritasVolume[] x)

### hasVolumes

    boolean hasVolumes()

### getDiskGroups

    VeritasDiskGroup[] getDiskGroups()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setDiskGroups

    void setDiskGroups(VeritasDiskGroup[] x)

### hasDiskGroups

    boolean hasDiskGroups()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD